GNU bug report logs - #21431
24.5; Double outputs, weird elements while using python shell

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Johnny Zhao <dz357488639@HIDDEN>; merged with #22796, #25753, #26326; dated Tue, 8 Sep 2015 04:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Disconnected #32042 from all other report(s). Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21431 22796 25753 26326 32042. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 21431 22796 25753 26326. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Merged 21431 25753 26326. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2015 04:44:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 00:44:55 2015
Received: from localhost ([127.0.0.1]:51995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZZAm5-0001g5-RF
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2015 00:44:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52708)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dz357488639@HIDDEN>) id 1ZZ9nN-0000GA-Ty
 for submit <at> debbugs.gnu.org; Mon, 07 Sep 2015 23:42:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dz357488639@HIDDEN>) id 1ZZ9nL-0000N9-Mz
 for submit <at> debbugs.gnu.org; Mon, 07 Sep 2015 23:42:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38624)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dz357488639@HIDDEN>) id 1ZZ9nL-0000Mo-K5
 for submit <at> debbugs.gnu.org; Mon, 07 Sep 2015 23:42:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34477)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dz357488639@HIDDEN>) id 1ZZ9nJ-0002Gs-GY
 for bug-gnu-emacs@HIDDEN; Mon, 07 Sep 2015 23:42:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dz357488639@HIDDEN>) id 1ZZ9nH-0000Hq-Et
 for bug-gnu-emacs@HIDDEN; Mon, 07 Sep 2015 23:42:05 -0400
Received: from mail-io0-x230.google.com ([2607:f8b0:4001:c06::230]:34249)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dz357488639@HIDDEN>) id 1ZZ9nH-0000HL-8A
 for bug-gnu-emacs@HIDDEN; Mon, 07 Sep 2015 23:42:03 -0400
Received: by iofb144 with SMTP id b144so104433103iof.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 07 Sep 2015 20:42:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=nVDdf7nXz4mCpc5SWV10ZHdwbaF9bxtIg2pa9B1qr2k=;
 b=gwXWtMX7ULGXlqZTgIAtZTE3FOOyXlSG4XbFcixtmy7d7gdx2+i11M/VLrcs/DE1uZ
 CVzE2VNHYBAA+qKRBCGb7gbUpmgwBpug1OKiuKyhbaadZxuMaNdloGnPDn6TkgptyIau
 lVJQLeh5VHutyzqLFin/CrXAxSoVz0A83/Jy13gZ3fbgWUAem+FNHRUjopHYEi/CMzOs
 GcVvHr416lrmlOPCICDMHeXq+2q5HYP0L9RTNx9o2yY13vaWUaY3PWwIrQp3mLy4HiQc
 PEJVhYOoedO75IuDB8xJHnIWGHSVpaR4Tx9VMiU8J+XCLciQLni8ow354pdqgUrwvcT5
 D56w==
MIME-Version: 1.0
X-Received: by 10.107.13.75 with SMTP id 72mr33861038ion.75.1441683722412;
 Mon, 07 Sep 2015 20:42:02 -0700 (PDT)
Received: by 10.79.81.69 with HTTP; Mon, 7 Sep 2015 20:42:02 -0700 (PDT)
Date: Mon, 7 Sep 2015 23:42:02 -0400
Message-ID: <CAB9+fFE+_KMevWV0WDnEAWS_6Re88SMbyh8J8WqMCTKnfpDqjg@HIDDEN>
Subject: 24.5; Double outputs, weird elements while using python shell
From: Johnny Zhao <dz357488639@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a114097b2272e0f051f3426eb
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 08 Sep 2015 00:44:52 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--001a114097b2272e0f051f3426eb
Content-Type: text/plain; charset=UTF-8

Message-ID: <m2pp1tr3is.fsf@HIDDEN>

--text follows this line--
This bug report will be sent to the Bug-GNU-Emacs mailing list and the GNU
bug tracker at debbugs.gnu.org. Please check that From: line contains a
valid email address. After a delay of up to one day, you should receive an
acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers usually do
not have translators for other languages.

Please describe exactly what actions triggered the bug, and the precise
symptoms of the bug. If you can, give a recipe starting from 'emacs -Q':

*Description:* I first started creating a python file, L2_1.py. And I wrote
two lines of code in that file:

num = raw_input("Enter a num? ")
print num

Then, I pressed C-c C-c to send the code to python shell. And pressed
C-c C-z to activate the interactive python shell itself. Then there is
an error appeared after >>>.

*Error: *>>>import codecs, os;__pyfile =
codecs.open('''/var/folders/pp/f3d79ck56qg0vr86723zymtw0000gn/Tpy10804Poh''',
encoding = '''utf-8''');__code =
__pyfile.read().encode('''utf-8''');__pyfile.close();os.remove('''/var/folders/pp/f3d79ck56qg0vr86723zymtw0000gn/T/py10804Poh''');exec(compile(__code,
'''/Users/dongzhao/Documents/pyEnv/6.00.1x/L2_1.py''', 'exec'));
Enter a num? 2
2
2
>>>




In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
 of 2015-04-10 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1348
Configured using:
 `configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  pyvenv-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
[yas] Prepared just-in-time loading for
/Users/dongzhao/.emacs.d/elpa/elpy-1.9.0/snippets/
[yas] Prepared just-in-time loading for
/Users/dongzhao/.emacs.d/elpa/yasnippet-0.8.0/snippets
[yas] Check your `yas-snippet-dirs': ~/.emacs.d/snippets is not a directory
[yas] Reloaded everything (snippets will load just-in-time)... (some
errors, check *Messages*).
Loading
/Users/dongzhao/.emacs.d/el-get/color-theme/themes/color-theme-example.el
(source)...done
Loading
/Users/dongzhao/.emacs.d/el-get/color-theme/themes/color-theme-library.el
(source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils afternoon-theme autopair byte-opt paren
switch-window quail ido-hacks buffer-move windmove cl-macs color-theme
.loaddefs el-get el-get-autoloading el-get-list-packages
el-get-dependencies el-get-build el-get-status pp el-get-methods
el-get-fossil el-get-svn el-get-pacman el-get-github-zip
el-get-github-tar el-get-http-zip el-get-http-tar el-get-hg el-get-go
el-get-git-svn el-get-fink el-get-emacswiki el-get-http el-get-notify
el-get-emacsmirror el-get-github el-get-git el-get-elpa el-get-darcs
el-get-cvs el-get-bzr el-get-brew el-get-builtin el-get-apt-get
el-get-recipes el-get-byte-compile el-get-custom el-get-core autoload
lisp-mnt bytecomp byte-compile cconv dired cl-extra yasnippet advice
help-mode cl gv highlight-indentation flymake eldoc company edmacro
kmacro help-fns elpy pyvenv elpy-refactor python json ido grep compile
comint ansi-color files-x etags ring cus-edit easymenu cus-start
cus-load wid-edit cl-loaddefs cl-lib package epg-config time-date
tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
ns-win tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
cocoa ns multi-tty emacs)

Memory information:
((conses 16 258336 8445)
 (symbols 48 27014 0)
 (miscs 40 40 203)
 (strings 32 46630 6814)
 (string-bytes 1 1106561)
 (vectors 16 18181)
 (vector-slots 8 458453 6340)
 (floats 8 201 204)
 (intervals 56 218 0)
 (buffers 960 11))

--001a114097b2272e0f051f3426eb
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Message-ID: &lt;<a href=3D"mailto:m2pp1tr3is.fsf@HIDDEN=
">m2pp1tr3is.fsf@HIDDEN</a>&gt;<br><br>--text follows this line--<br>Thi=
s bug report will be sent to the Bug-GNU-Emacs mailing list and the GNU bug=
 tracker at <a href=3D"http://debbugs.gnu.org">debbugs.gnu.org</a>. Please =
check that From: line contains a valid email address. After a delay of up t=
o one day, you should receive an acknowledgment at that address.<br><br>Ple=
ase write in English if possible, as the Emacs maintainers usually do not h=
ave translators for other languages.<br><br>Please describe exactly what ac=
tions triggered the bug, and the precise symptoms of the bug. If you can, g=
ive a recipe starting from &#39;emacs -Q&#39;:<br><br><b><i><u>Description:=
</u></i></b> I first started creating a python file, L2_1.py. And I wrote<b=
r>two lines of code in that file:<br><br>num =3D raw_input(&quot;Enter a nu=
m? &quot;)<br>print num<br><br>Then, I pressed C-c C-c to send the code to =
python shell. And pressed<br>C-c C-z to activate the interactive python she=
ll itself. Then there is<br>an error appeared after &gt;&gt;&gt;.<br><br><b=
><u><i>Error: </i></u></b>&gt;&gt;&gt;import codecs, os;__pyfile =3D<br>cod=
ecs.open(&#39;&#39;&#39;/var/folders/pp/f3d79ck56qg0vr86723zymtw0000gn/Tpy1=
0804Poh&#39;&#39;&#39;,<br>encoding =3D &#39;&#39;&#39;utf-8&#39;&#39;&#39;=
);__code =3D<br>__pyfile.read().encode(&#39;&#39;&#39;utf-8&#39;&#39;&#39;)=
;__pyfile.close();os.remove(&#39;&#39;&#39;/var/folders/pp/f3d79ck56qg0vr86=
723zymtw0000gn/T/py10804Poh&#39;&#39;&#39;);exec(compile(__code,<br>&#39;&#=
39;&#39;/Users/dongzhao/Documents/pyEnv/6.00.1x/L2_1.py&#39;&#39;&#39;, &#3=
9;exec&#39;));<br>Enter a num? 2<br>2<br>2<br>&gt;&gt;&gt;<br><br><br><br><=
br>In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)=
<br>=C2=A0of 2015-04-10 on <a href=3D"http://builder10-9.porkrind.org">buil=
der10-9.porkrind.org</a><br>Windowing system distributor `Apple&#39;, versi=
on 10.3.1348<br>Configured using:<br>=C2=A0`configure --with-ns &#39;--enab=
le-locallisppath=3D/Library/Application<br>=C2=A0Support/Emacs/${version}/s=
ite-lisp:/Library/Application<br>=C2=A0Support/Emacs/site-lisp&#39;&#39;<br=
><br>Important settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 lo=
cale-coding-system: utf-8-unix<br><br>Major mode: Lisp Interaction<br><br>M=
inor modes in effect:<br>=C2=A0 show-paren-mode: t<br>=C2=A0 pyvenv-mode: t=
<br>=C2=A0 tooltip-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mous=
e-wheel-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode:=
 t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0=
 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-enc=
ryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mo=
de: t<br>=C2=A0 transient-mark-mode: t<br><br>Recent messages:<br>[yas] Pre=
pared just-in-time loading for /Users/dongzhao/.emacs.d/elpa/elpy-1.9.0/sni=
ppets/<br>[yas] Prepared just-in-time loading for /Users/dongzhao/.emacs.d/=
elpa/yasnippet-0.8.0/snippets<br>[yas] Check your `yas-snippet-dirs&#39;: ~=
/.emacs.d/snippets is not a directory<br>[yas] Reloaded everything (snippet=
s will load just-in-time)... (some errors, check *Messages*).<br>Loading /U=
sers/dongzhao/.emacs.d/el-get/color-theme/themes/color-theme-example.el (so=
urce)...done<br>Loading /Users/dongzhao/.emacs.d/el-get/color-theme/themes/=
color-theme-library.el (source)...done<br>For information about GNU Emacs a=
nd the GNU system, type C-h C-a.<br><br>Load-path shadows:<br>None found.<b=
r><br>Features:<br>(shadow sort gnus-util mail-extr emacsbug message format=
-spec rfc822 mml<br>mml-sec mm-decode mm-bodies mm-encode mail-parse rfc223=
1 mailabbrev<br>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm=
-util<br>mail-prsvr mail-utils afternoon-theme autopair byte-opt paren<br>s=
witch-window quail ido-hacks buffer-move windmove cl-macs color-theme<br>.l=
oaddefs el-get el-get-autoloading el-get-list-packages<br>el-get-dependenci=
es el-get-build el-get-status pp el-get-methods<br>el-get-fossil el-get-svn=
 el-get-pacman el-get-github-zip<br>el-get-github-tar el-get-http-zip el-ge=
t-http-tar el-get-hg el-get-go<br>el-get-git-svn el-get-fink el-get-emacswi=
ki el-get-http el-get-notify<br>el-get-emacsmirror el-get-github el-get-git=
 el-get-elpa el-get-darcs<br>el-get-cvs el-get-bzr el-get-brew el-get-built=
in el-get-apt-get<br>el-get-recipes el-get-byte-compile el-get-custom el-ge=
t-core autoload<br>lisp-mnt bytecomp byte-compile cconv dired cl-extra yasn=
ippet advice<br>help-mode cl gv highlight-indentation flymake eldoc company=
 edmacro<br>kmacro help-fns elpy pyvenv elpy-refactor python json ido grep =
compile<br>comint ansi-color files-x etags ring cus-edit easymenu cus-start=
<br>cus-load wid-edit cl-loaddefs cl-lib package epg-config time-date<br>to=
oltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel<br>ns-wi=
n tool-bar dnd fontset image regexp-opt fringe tabulated-list<br>newcomment=
 lisp-mode prog-mode register page menu-bar rfn-eshadow timer<br>select scr=
oll-bar mouse jit-lock font-lock syntax facemenu font-core<br>frame cham ge=
orgian utf-8-lang misc-lang vietnamese tibetan thai<br>tai-viet lao korean =
japanese hebrew greek romanian slovak czech european<br>ethiopic indian cyr=
illic chinese case-table epa-hook jka-cmpr-hook help<br>simple abbrev minib=
uffer nadvice loaddefs button faces cus-face macroexp<br>files text-propert=
ies overlay sha1 md5 base64 format env code-pages mule<br>custom widget has=
htable-print-readable backquote make-network-process<br>cocoa ns multi-tty =
emacs)<br><br>Memory information:<br>((conses 16 258336 8445)<br>=C2=A0(sym=
bols 48 27014 0)<br>=C2=A0(miscs 40 40 203)<br>=C2=A0(strings 32 46630 6814=
)<br>=C2=A0(string-bytes 1 1106561)<br>=C2=A0(vectors 16 18181)<br>=C2=A0(v=
ector-slots 8 458453 6340)<br>=C2=A0(floats 8 201 204)<br>=C2=A0(intervals =
56 218 0)<br>=C2=A0(buffers 960 11))<br></div>

--001a114097b2272e0f051f3426eb--




Acknowledgement sent to Johnny Zhao <dz357488639@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21431; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Jul 2018 00:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.